Subject: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: João Távora <[email-masked]>
Date: Sat, 7 Mar 2020 19:28:21 +0000

Ok, sounds good.

In the future, I will refrain from doing this.
Again, I just did it cause I have very little time on my hands right now,
and wanted to solve this simple matter in a rare window of opportunity.

In hindsight, I should have placed these commits in a branch ready to
merge, but I feared they might be forgotten.

João

On Sat, Mar 7, 2020, 17:42 Eli Zaretskii <[email-masked]> wrote:

> > From: João Távora <[email-masked]>
> > Date: Sat, 7 Mar 2020 16:42:00 +0000
> > Cc: [email-masked], Dmitry Gutov <[email-masked]>,
> [email-masked],
> >       [email-masked], [email-masked]
> >
> >  Disregarding the fact that I wasn't sure this is OK for emacs-27, and
> >  asked Stefan for his opinion?  Why??
> >
> > Because:
> >
> > - I was and am 99% positive that Stefan will agree with me
> > - both the thread and Dmitry's patch evolved in a way that took the
> safety of such a push in consideration.
> > - I had no other good window to do so in the near future.
>
> Please don't do that in the future, we discuss things here because
> they matter.
>
> > Anyway, if you believe these reasons to be insufficient, you can revert
> the commits. I don't think there will be
> > any conflicts to that.
>
> Let's wait and see what Stefan thinks about this.
>